Loading...
Searching...
No Matches
caf::node_id Class Reference

A node ID is an opaque value for representing CAF instances in the network. More...

`#include <node_id.hpp>`

## Public Member Functions

| node_id (intrusive_ptr< data > dataptr)
node_id & | operator= (const none_t &)
| node_id (node_id &&)=default
| node_id (const node_id &)=default
node_id & | operator= (node_id &&)=default
node_id & | operator= (const node_id &)=default
| operator bool () const
| Queries whether this node is not default-constructed.
int | compare (const node_id &other) const noexcept
| Compares this instance to other.
void | swap (node_id &other)
| Exchanges the value of this object with other.

## Static Public Member Functions

static bool | can_parse (string_view str) noexcept
| Returns whether parse would produce a valid node ID.

## Related Symbols

(Note that these are not member symbols.)
bool | wraps_uri (const node_id &x) noexcept
| Returns whether x contains an URI.
bool | operator== (const node_id &x, const node_id &y) noexcept
bool | operator!= (const node_id &x, const node_id &y) noexcept
bool | operator< (const node_id &x, const node_id &y) noexcept
bool | operator<= (const node_id &x, const node_id &y) noexcept
bool | operator> (const node_id &x, const node_id &y) noexcept
bool | operator>= (const node_id &x, const node_id &y) noexcept
bool | operator== (const node_id &x, const none_t &) noexcept
bool | operator== (const none_t &, const node_id &x) noexcept
bool | operator!= (const node_id &x, const none_t &) noexcept
bool | operator!= (const none_t &, const node_id &x) noexcept
error | inspect (serializer &sink, const node_id &x)
error | inspect (deserializer &source, node_id &x)
void | append_to_string (std::string &str, const node_id &x)
| Appends x in human-readable string representation to str.
std::string | to_string (const node_id &x)
| Converts x into a human-readable string representation.
node_id | make_node_id (uri from)
| Creates a node ID from the URI from.
node_id | make_node_id (uint32_t process_id, const node_id::default_data::host_id_type &host_id)
| Creates a node ID from process_id and host_id.
optional< node_id > | make_node_id (uint32_t process_id, string_view host_hash)
| Creates a node ID from process_id and host_hash.
error | parse (string_view str, node_id &dest)

## Detailed Description

A node ID is an opaque value for representing CAF instances in the network.

## Member Function Documentation

## compare()

int caf::node_id::compare | ( | const node_id & | other | ) | const

noexcept

Compares this instance to other.

Returns
  -1 if *this < other, 0 if *this == other, and 1 otherwise.

## Friends And Related Symbol Documentation

## make_node_id() [1/2]

node_id make_node_id | ( | uint32_t | process_id,
|  | const node_id::default_data::host_id_type & | host_id )

related

Creates a node ID from process_id and host_id.

Parameters

  process_id | System-wide unique process identifier.
  host_id | Unique hash value representing a single CAF node.

## make_node_id() [2/2]

optional< node_id > make_node_id | ( | uint32_t | process_id,
|  | string_view | host_hash )

related

Creates a node ID from process_id and host_hash.

Parameters

  process_id | System-wide unique process identifier.
  host_hash | Unique node ID as hexadecimal string representation.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/node_id.hpp